PPPOE-WRAPPER(1)

NAME
pppoe-wrapper - SUID wrapper for starting and stopping PPPoE connections.

SYNOPSIS
pppoe-wrapper start linkname

pppoe-wrapper stop linkname

pppoe-wrapper status linkname

DESCRIPTION
pppoe-wrapper is a small SUID program which allows non-root users to start and stop PPPoE links. It operates as follows:

o   First, linkname is sanity-checked. Too-long names and names containing illegal characters are rejected.

o   Second, pppoe-wrapper opens the file /etc/ppp/rp-pppoe-gui/conf.linkname for reading. If that file does not contain the line:
    		NONROOT=OK
    then pppoe-wrapper fails.

o   Otherwise, pppoe-wrapper runs pppoe-start, pppoe-stop or pppoe-status with the above filename as its single argument.

AUTHOR
pppoe-wrapper was written by David F. Skoll <dfs@roaringpenguin.com>. The pppoe home page is http://www.roaringpenguin.com/pppoe/.

SEE ALSO
pppoe-start(8), pppoe-stop(8), pppoe-status(8), tkpppoe(1)